Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Gentoo: Embedded
ANNOUNCE: cross-capable nodejs-0.6.7.ebuild, v8-3.6.4.ebuild
 

Index | Next | Previous | View Flat


ierton at gmail

Jan 17, 2012, 6:26 AM


Views: 514
Permalink
ANNOUNCE: cross-capable nodejs-0.6.7.ebuild, v8-3.6.4.ebuild

Hi. I've fixed arm-related cross-compiling issues in node.js ebuld (at
least it works on arm system). Here they are:

nodejs-0.6.7.ebuild
https://github.com/ierton/uemd-overlay/blob/master/net-libs/nodejs/nodejs-0.6.7.ebuild
v8-3.6.4.ebuild
https://github.com/ierton/uemd-overlay/blob/master/dev-lang/v8/v8-3.6.4.ebuild

To make it work, I had to enable armeabi=soft in the v8. Also nodejs-0.6.7
is known to not work with recent v8 - i've fixed RDEPEND.

Sergey

Subject User Time
ANNOUNCE: cross-capable nodejs-0.6.7.ebuild, v8-3.6.4.ebuild ierton at gmail Jan 17, 2012, 6:26 AM

  Index | Next | Previous | View Flat
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.